Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.parse.compact
Class CompactParseable

    java.lang.Object
      org.kohsuke.rngom.parse.compact.CompactParseable

All Implemented Interfaces:
  Parseable

    public class CompactParseable

extends java.lang.Object
implements Parseable

RELAX NG schema in the compact syntax.

Constructor Summary
`CompactParseable(org.xml.sax.InputSource in, org.xml.sax.ErrorHandler eh)`

Method Summary
`ParsedPattern` | `parse(SchemaBuilder sb)` Parses this `Parseable` object into a RELAX NG pattern.
`ParsedPattern` | `parseExternal(java.lang.String uri, SchemaBuilder sb, Scope scope, java.lang.String inheritedNs)` Called from `SchemaBuilder` in response to `SchemaBuilder.makeExternalRef(Parseable, String, String, Scope, Location, Annotations)` to parse the referenced grammar.
`ParsedPattern` | `parseInclude(java.lang.String uri, SchemaBuilder sb, IncludedGrammar g, java.lang.String inheritedNs)` Called from `Include` in response to `Include.endInclude(Parseable, String, String, Location, Annotations)` to parse the included grammar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompactParseable

    public CompactParseable(org.xml.sax.InputSource in,
                            org.xml.sax.ErrorHandler eh)

Method Detail

### parse

    public ParsedPattern parse(SchemaBuilder sb)
                        throws BuildException,
                               IllegalSchemaException

  Description copied from interface: `Parseable`
  Parses this `Parseable` object into a RELAX NG pattern.

  Specified by:
    `parse` in interface `Parseable`
  Parameters:
    `sb` - The builder of the schema object model. This object dictates how the actual pattern is constructed.
  Returns:
    a parsed object. Always returns a non-null valid object.
  Throws:
    `BuildException`
    `IllegalSchemaException`

### parseInclude

    public ParsedPattern parseInclude(java.lang.String uri,
                                      SchemaBuilder sb,
                                      IncludedGrammar g,
                                      java.lang.String inheritedNs)
                               throws BuildException,
                                      IllegalSchemaException

  Description copied from interface: `Parseable`
  Called from `Include` in response to `Include.endInclude(Parseable, String, String, Location, Annotations)` to parse the included grammar.

  Specified by:
    `parseInclude` in interface `Parseable`
    `g` - receives the events from the included grammar.
  Throws:
    `BuildException`
    `IllegalSchemaException`

### parseExternal

    public ParsedPattern parseExternal(java.lang.String uri,
                                       SchemaBuilder sb,
                                       Scope scope,
                                       java.lang.String inheritedNs)
                                throws BuildException,
                                       IllegalSchemaException

  Description copied from interface: `Parseable`
  Called from `SchemaBuilder` in response to `SchemaBuilder.makeExternalRef(Parseable, String, String, Scope, Location, Annotations)` to parse the referenced grammar.

  Specified by:
    `parseExternal` in interface `Parseable`
    `sb` - receives the events from the referenced grammar.
  Throws:
    `BuildException`
    `IllegalSchemaException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD